Weak::MARC4 Class Reference

Modified Alleged RC4. More...

`#include <arc4.h>`

Inheritance diagram for Weak::MARC4:

## Additional Inherited Members

Public Member Functions inherited from SymmetricCipherFinal< MARC4_Base >
| SymmetricCipherFinal ()
| Construct a stream cipher.
| SymmetricCipherFinal (const byte *key)
| Construct a stream cipher.
| SymmetricCipherFinal (const byte *key, size_t length)
| Construct a stream cipher.
| SymmetricCipherFinal (const byte *key, size_t length, const byte *iv)
| Construct a stream cipher.
Clonable * | Clone () const
| Clone a SymmetricCipher.
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

Modified Alleged RC4.

See also
  Alleged RC4

Since
  Crypto++ 3.1

Definition at line 73 of file arc4.h.

The documentation for this class was generated from the following file:

- arc4.h